classification
Title: Document PendingDeprecationWarning is not so useful.
Type: Stage: resolved
Components: Documentation Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: brett.cannon, docs@python, inada.naoki, miss-islington
Priority: normal Keywords: patch

Created on 2019-03-23 02:05 by inada.naoki, last changed 2019-04-15 12:41 by miss-islington. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 12505 closed inada.naoki, 2019-03-23 02:06
PR 12696 merged miss-islington, 2019-04-05 08:59
PR 12837 merged inada.naoki, 2019-04-15 11:53
PR 12838 merged miss-islington, 2019-04-15 12:41
Messages (3)
msg339478 - (view) Author: Inada Naoki (inada.naoki) * (Python committer) Date: 2019-04-05 08:54
New changeset 176d26364bb67801fa522f52f20cbe44420d6942 by Inada Naoki in branch 'master':
bpo-36404: recommend DeprecationWarning over PendingDeprecationWarning (GH-12505)
https://github.com/python/cpython/commit/176d26364bb67801fa522f52f20cbe44420d6942
msg339479 - (view) Author: Inada Naoki (inada.naoki) * (Python committer) Date: 2019-04-05 08:55
After discussion on ML, I just recommend DeprecationWarning
over PendingDeprecationWarning in this time.
PendingDeprecationWarning is not deprecated for now.
msg339482 - (view) Author: miss-islington (miss-islington) Date: 2019-04-05 09:07
New changeset 86fbe0287dd774022fd2b6c2dcbfbb5573a0b874 by Miss Islington (bot) in branch '3.7':
bpo-36404: recommend DeprecationWarning over PendingDeprecationWarning (GH-12505)
https://github.com/python/cpython/commit/86fbe0287dd774022fd2b6c2dcbfbb5573a0b874
History
Date User Action Args
2019-04-15 12:41:38miss-islingtonsetpull_requests: + pull_request12763
2019-04-15 11:53:13inada.naokisetpull_requests: + pull_request12762
2019-04-05 09:07:28miss-islingtonsetnosy: + miss-islington
messages: + msg339482
2019-04-05 08:59:32miss-islingtonsetpull_requests: + pull_request12621
2019-04-05 08:55:51inada.naokisetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-04-05 08:55:46inada.naokisetmessages: + msg339479
title: Document PendingDeprecationWarning as deprecated -> Document PendingDeprecationWarning is not so useful.
2019-04-05 08:54:30inada.naokisetmessages: + msg339478
2019-03-25 18:31:55brett.cannonsetnosy: + brett.cannon
2019-03-23 02:06:28inada.naokisetkeywords: + patch
stage: patch review
pull_requests: + pull_request12456
2019-03-23 02:05:15inada.naokisetassignee: docs@python

components: + Documentation
nosy: + docs@python
2019-03-23 02:05:05inada.naokicreate